Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(119)

Issue 9764018: Fix a FileWriter abort race by turning an assert into a soft check. (Closed)

Created:
8 years, 4 months ago by ericu
Modified:
8 years, 4 months ago
Reviewers:
levin
CC:
chromium-reviews, kinuko+watch, darin-cc_chromium.org
Visibility:
Public.

Description

Fix a FileWriter abort race by turning an assert into a soft check. See https://bugs.webkit.org/show_bug.cgi?id=81861 for the other side of this. BUG=119417 TEST=existing tests get less flaky Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=129488

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -1 line) Patch
M webkit/fileapi/webfilewriter_base.cc View 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 9 (0 generated)
ericu
David, do you have time to take a look at this [and the webkit side]? ...
8 years, 4 months ago (2012-03-22 02:15:58 UTC) #1
levin
On 2012/03/22 02:15:58, ericu wrote: > David, do you have time to take a look ...
8 years, 4 months ago (2012-03-22 03:18:25 UTC) #2
ericu
On Wed, Mar 21, 2012 at 8:18 PM, <levin@chromium.org> wrote: > Would you elaborate a ...
8 years, 4 months ago (2012-03-26 23:40:47 UTC) #3
levin
LGTM ok, so WebFileWriterBase is used solely on thread 1 and may have changed state ...
8 years, 4 months ago (2012-03-26 23:45:48 UTC) #4
ericu
On 2012/03/26 23:45:48, levin wrote: > LGTM > > ok, so WebFileWriterBase is used solely ...
8 years, 4 months ago (2012-03-27 00:04:08 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ericu@chromium.org/9764018/1
8 years, 4 months ago (2012-03-27 00:05:23 UTC) #6
commit-bot: I haz the power
Try job failure for 9764018-1 (retry) on win_rel for step "browser_tests". It's a second try, ...
8 years, 4 months ago (2012-03-27 02:47:28 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ericu@chromium.org/9764018/1
8 years, 4 months ago (2012-03-28 17:19:13 UTC) #8
commit-bot: I haz the power
8 years, 4 months ago (2012-03-28 21:18:04 UTC) #9
Change committed as 129488

Powered by Google App Engine
This is Rietveld 408576698